
#ifndef SHOOT_ROCKET_H
#define SHOOT_ROCKET_H

/* openGL Headers */
#include <GL/glut.h>

#include "stdincl.h"
#include "data_tank.h"
#include "npc.h"

enum RocketType { HOMING, SIDEACC, BACKPARABLE};
enum RocketDirection {LEFT, RIGHT, UP, DOWN};

class ShootRocket {


 public:
  
  /* a list of all shoot-amental objects */
  struct shoot {
    enum RocketType type;
    shoot *next;
    float xCor;
    float yCor;
    float zCor;    
    float xVel;
    float yVel;
    float zVel;
    float xAcc;
    float yAcc;
    float zAcc;
    float age;
    float collisionRadius;
  };
  shoot* lastShoot;

  ShootRocket ();
  ~ShootRocket ();
  
  int inhibitor;

  void drawShoot(void);
  void addShoot(shoot* sh);
  void addBackParable(float x, float y, float z);
  void addSideAcc(float x, float y, float z, enum RocketDirection direction);
  void setShootStep(float step);
  void removeShoot(shoot* sh);


 private:

  float step;

};

#endif
